Search Results for

Show / Hide Table of Contents

# Class Curses.Window

##### Inheritance

System.Object
Curses.Window

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Unix.Terminal

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class Window

### Fields

#### Handle

##### Declaration

    public readonly IntPtr Handle

##### Field Value

Type | Description
--- | ---
System.IntPtr |

### Properties

#### Current

##### Declaration

    public static Curses.Window Current { get; }

##### Property Value

Type | Description
--- | ---
Curses.Window |

#### Standard

##### Declaration

    public static Curses.Window Standard { get; }

##### Property Value

Type | Description
--- | ---
Curses.Window |

### Methods

#### addch(Char)

##### Declaration

    public int addch(char ch)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Char | ch |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### clearok(Boolean)

##### Declaration

    public int clearok(bool bf)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | bf |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### idcok(Boolean)

##### Declaration

    public void idcok(bool bf)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | bf |

#### idlok(Boolean)

##### Declaration

    public int idlok(bool bf)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | bf |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### immedok(Boolean)

##### Declaration

    public void immedok(bool bf)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | bf |

#### intrflush(Boolean)

##### Declaration

    public int intrflush(bool bf)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | bf |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### keypad(Boolean)

##### Declaration

    public int keypad(bool bf)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | bf |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### leaveok(Boolean)

##### Declaration

    public int leaveok(bool bf)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | bf |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### meta(Boolean)

##### Declaration

    public int meta(bool bf)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | bf |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### move(Int32, Int32)

##### Declaration

    public int move(int line, int col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | line |
System.Int32 | col |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### notimeout(Boolean)

##### Declaration

    public int notimeout(bool bf)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | bf |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### redrawwin()

##### Declaration

    public int redrawwin()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### refresh()

##### Declaration

    public int refresh()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### scrollok(Boolean)

##### Declaration

    public int scrollok(bool bf)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | bf |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### setscrreg(Int32, Int32)

##### Declaration

    public int setscrreg(int top, int bot)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | top |
System.Int32 | bot |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### wnoutrefresh()

##### Declaration

    public int wnoutrefresh()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### wrefresh()

##### Declaration

    public int wrefresh()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### wtimeout(Int32)

##### Declaration

    public int wtimeout(int delay)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | delay |

##### Returns

Type | Description
--- | ---
System.Int32 |